Kali 2020.1 XFCE. Unable to start any program from gui that requires root privilege. Synaptic just do not start. Firewall-applet just say unable to communicate. It starts fine from cli. @kalilinux #kali #kalilinux #linux

I just installed Kali weekly release (2020.1) with KDE and XFCE and all things seems to work very fine. But one thing with XFCE is that when I try to start things fron XFCE that use root permission it wont work. Strange errors or the applications just do nothing.

gksu is no longer availble
pkexec dont work for me yet

But when I install this package, pkexec start to work and all the applications that failed before starts working.

sudo apt-get install policykit-1-gnome

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s

This site uses Akismet to reduce spam. Learn how your comment data is processed.